Bug 1987877 - python-opentelemetry: FTBFS in Fedora rawhide/f35 [NEEDINFO]
Summary: python-opentelemetry: FTBFS in Fedora rawhide/f35
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-opentelemetry
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10 F35FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-07-29 16:39 UTC by Fedora Release Engineering
Modified: 2021-08-07 18:52 UTC (History)
3 users (show)

Fixed In Version: python-opentelemetry-1.4.1-2.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-07 18:52:51 UTC
Type: ---
releng: needinfo? (extras-orphan)


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2021-07-29 16:40 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2021-07-29 16:40 UTC, Fedora Release Engineering
no flags Details
state.log (1.02 KB, text/plain)
2021-07-29 16:40 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2021-07-29 16:39:56 UTC
python-opentelemetry failed to build from source in Fedora rawhide/f35

https://koji.fedoraproject.org/koji/taskinfo?taskID=72475719


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
Please fix python-opentelemetry at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-opentelemetry will be orphaned. Before branching of Fedora 36,
python-opentelemetry will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2021-07-29 16:40:00 UTC
Created attachment 1808506 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2021-07-29 16:40:03 UTC
Created attachment 1808507 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2021-07-29 16:40:05 UTC
Created attachment 1808508 [details]
state.log

Comment 4 Fedora Release Engineering 2021-08-01 04:33:07 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-09-23).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 5 Ben Beasley 2021-08-03 18:46:14 UTC
The upstream has split into https://github.com/open-telemetry/opentelemetry-python and https://github.com/open-telemetry/opentelemetry-proto.

I have taken this package with the intent to retire it for F35, obsoleting it with a new opentelemetry-proto/python3-opentelemetry-proto package—which I need for the latest python-xds-protos—and leaving the Python API/SDK unpackaged. I will link that review request here when it is ready.

However, I am happy to offer this package to anyone who wants to unretire it for the purpose of packaging the latest https://github.com/open-telemetry/opentelemetry-python in a way that is compatible with the upcoming opentelemetry-proto package.

Comment 6 Ben Beasley 2021-08-03 21:35:00 UTC
I may be keeping this package around and updating it instead of retiring it, since the setup.py etc. for the Python proto bindings lives here and not in https://github.com/open-telemetry/opentelemetry-proto. I’ll look into it further.

Comment 7 Fedora Admin user for bugzilla script actions 2021-08-04 00:09:29 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 8 Fedora Update System 2021-08-07 18:51:57 UTC
FEDORA-2021-dd5878da9c has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-dd5878da9c

Comment 9 Fedora Update System 2021-08-07 18:52:51 UTC
FEDORA-2021-dd5878da9c has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.